# SpongeCommandOperationContext (ACF (Sponge) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: SpongeCommandOperationContext

Package co.aikar.commands

# Class SpongeCommandOperationContext

java.lang.Object
co.aikar.commands.CommandOperationContext
co.aikar.commands.SpongeCommandOperationContext

public class SpongeCommandOperationContext extends co.aikar.commands.CommandOperationContext

## Method Summary

Modifier and Type
Method
Description
`org.spongepowered.api.command.CommandResult`
`getResult()`
`void`
`setResult(org.spongepowered.api.command.CommandResult result)`

### Methods inherited from class co.aikar.commands.CommandOperationContext

`getAnnotation, getAnnotationValue, getAnnotationValue, getArgs, getCommand, getCommandIssuer, getCommandLabel, getCommandManager, getRegisteredCommand, hasAnnotation, isAsync, setRegisteredCommand`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getResult

public org.spongepowered.api.command.CommandResult getResult()

### setResult

public void setResult (org.spongepowered.api.command.CommandResult result)